Bug 735187 - [ipa webui] Sudo Rule has extra User group section in "As Whom" section
Summary: [ipa webui] Sudo Rule has extra User group section in "As Whom" section
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa
Version: 6.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Rob Crittenden
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-01 17:57 UTC by Namita Soman
Modified: 2015-01-04 23:50 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Do not document
Clone Of:
Environment:
Last Closed: 2011-12-06 18:30:43 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1533 normal SHIPPED_LIVE Moderate: ipa security and bug fix update 2011-12-06 01:23:31 UTC

Description Namita Soman 2011-09-01 17:57:47 UTC
Description of problem:
Sudo Rule has extra User group section in "As Whom" section

Version-Release number of selected component (if applicable):
ipa-server-2.1.0-105.20110901T0304zgit887f02a.el6.x86_64


How reproducible:
always

Steps to Reproduce:
1. Add and edit a sudo rule
2. Scroll to As whom section

  
Actual results:
There are two areas to add User groups

Expected results:
There should be just one area to add User groups

Additional info:

Comment 2 Rob Crittenden 2011-09-01 18:31:23 UTC
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/1752

Comment 3 Martin Kosek 2011-09-14 08:26:07 UTC
Fixed upstream:

master: 0882c25c665da4cf0a14ab4b8eae10bcf86e9c5d
ipa-2-1: 8d40e3813c5d7feb02d87ed86311966edd6535e9

Comment 5 Namita Soman 2011-10-11 16:17:35 UTC
Verified using ipa-server-2.1.2-2.el6.x86_64
The labels indicate the categories better: Under As whom, there is RunAs Users, Groups of RunAs Users, and RunAs Groups

Comment 7 Martin Kosek 2011-11-01 13:24:42 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Do not document

Comment 8 errata-xmlrpc 2011-12-06 18:30:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1533.html


Note You need to log in before you can comment on or make changes to this bug.